package com.jiuqi.grid.output;

import com.jiuqi.util.JqLib;
import java.text.DecimalFormat;

/* loaded from: com_jiuqi_grid_output.jar:com/jiuqi/grid/output/CurrencyBoxHTMLGenerator.class */
public class CurrencyBoxHTMLGenerator {
    private int decimal;
    private int precision;
    private int type;
    private String value;
    private String moneySign;

    public CurrencyBoxHTMLGenerator(int decimal, int precision, String value, int type, String moneySign) {
        this.decimal = decimal;
        this.precision = precision;
        this.type = type;
        this.value = value;
        this.moneySign = moneySign;
    }

    public String generate() {
        this.decimal = getDecimal(this.decimal);
        this.precision = getPrecision(this.decimal, this.precision);
        if (this.value.equals("|")) {
            return getTitleHTML(this.decimal, this.precision);
        }
        if (this.moneySign == null) {
            this.moneySign = "";
        }
        return getDataHTML(this.decimal, this.precision, this.value, this.type, this.moneySign);
    }

    private int getDecimal(int dec) {
        if (dec == 0) {
            return 0;
        }
        return 2;
    }

    private int getPrecision(int dec, int pre) {
        if (dec == 0) {
            if (pre >= 2 && pre <= 13) {
                return pre;
            }
            return 13;
        }
        if (pre >= 4 && pre <= 15) {
            return pre;
        }
        return 15;
    }

    private char formatNumber(char c, int type) {
        if (type == 0) {
            return c;
        }
        if (type == 1) {
            switch (c) {
                case '-':
                    return (char) 36127;
                case '.':
                case '/':
                default:
                    return (char) 38169;
                case '0':
                    return 'O';
                case '1':
                    return (char) 19968;
                case '2':
                    return (char) 20108;
                case '3':
                    return (char) 19977;
                case '4':
                    return (char) 22235;
                case '5':
                    return (char) 20116;
                case '6':
                    return (char) 20845;
                case '7':
                    return (char) 19971;
                case '8':
                    return (char) 20843;
                case '9':
                    return (char) 20061;
            }
        }
        switch (c) {
            case '-':
                return (char) 36127;
            case '.':
            case '/':
            default:
                return (char) 38169;
            case '0':
                return (char) 38646;
            case '1':
                return (char) 22777;
            case '2':
                return (char) 36144;
            case '3':
                return (char) 21441;
            case '4':
                return (char) 32902;
            case '5':
                return (char) 20237;
            case '6':
                return (char) 38470;
            case '7':
                return (char) 26578;
            case '8':
                return (char) 25420;
            case '9':
                return (char) 29590;
        }
    }

    private boolean isFlagNumber(int num, boolean bool) {
        switch (num) {
            case HTMLGridGenerator.BROWSER_IE /* 1 */:
                if (bool) {
                    return true;
                }
                return false;
            case 4:
            case 7:
            case HTMLGridGenerator.BROWSER_OTHER /* 10 */:
            case 13:
                return true;
            default:
                return false;
        }
    }

    private String getDataHTML(int dec, int pre, String val, int ty, String mSigh) {
        DecimalFormat doublefmt = new DecimalFormat();
        StringBuffer dataHTML = new StringBuffer();
        int b = (int) Math.round((100.0d / pre) * 100.0d);
        double percent = b / 100.0d;
        doublefmt.setMaximumFractionDigits(dec);
        doublefmt.setMinimumFractionDigits(dec);
        doublefmt.setGroupingSize(0);
        String value = doublefmt.format(Double.parseDouble(JqLib.strExclude(val, ',')));
        int length = value.length();
        dataHTML.append("<table width=\"100%\" border=\"0\" align=\"center\" cellspacing=\"1\" bgcolor=\"#E0E0E0\">\n");
        dataHTML.append("<tr>\n");
        if (dec == 0) {
            int flagNumber = pre;
            if (length < pre) {
                for (int i = 0; i < (pre - length) - 1; i++) {
                    if (isFlagNumber(flagNumber, false)) {
                        dataHTML.append("<td width=\"" + percent + "%\" align=\"center\" bgcolor=\"#FFFFFF\" style=\"BORDER-RIGHT: black 1px solid;\"></td>\n");
                    } else {
                        dataHTML.append("<td width=\"" + percent + "%\" align=\"center\" bgcolor=\"#FFFFFF\"></td>\n");
                    }
                    flagNumber--;
                }
                if (isFlagNumber(flagNumber, false)) {
                    dataHTML.append("<td width=\"" + percent + "%\" align=\"center\" bgcolor=\"#FFFFFF\" style=\"BORDER-RIGHT: black 1px solid;\">" + mSigh + "</td>\n");
                } else {
                    dataHTML.append("<td width=\"" + percent + "%\" align=\"center\" bgcolor=\"#FFFFFF\">" + mSigh + "</td>\n");
                }
                int flagNumber2 = flagNumber - 1;
                for (int i2 = 0; i2 < length; i2++) {
                    if (isFlagNumber(flagNumber2, false)) {
                        dataHTML.append("<td width=\"" + percent + "%\" align=\"center\" bgcolor=\"#FFFFFF\" style=\"BORDER-RIGHT: black 1px solid;\">" + formatNumber(value.charAt(i2), ty) + "</td>\n");
                    } else {
                        dataHTML.append("<td width=\"" + percent + "%\" align=\"center\" bgcolor=\"#FFFFFF\" >" + formatNumber(value.charAt(i2), ty) + "</td>\n");
                    }
                    flagNumber2--;
                }
            } else {
                for (int i3 = 0; i3 < pre; i3++) {
                    if (isFlagNumber(flagNumber, false)) {
                        dataHTML.append("<td width=\"" + percent + "%\" align=\"center\" bgcolor=\"#FFFFFF\" style=\"BORDER-RIGHT: black 1px solid;\">" + formatNumber(value.charAt((length - pre) + i3), ty) + "</td>\n");
                    } else {
                        dataHTML.append("<td width=\"" + percent + "%\" align=\"center\" bgcolor=\"#FFFFFF\" >" + formatNumber(value.charAt((length - pre) + i3), ty) + "</td>\n");
                    }
                    flagNumber--;
                }
            }
        } else {
            int flagNumber3 = pre - 2;
            if (length - 1 < pre) {
                for (int i4 = 0; i4 < pre - length; i4++) {
                    if (isFlagNumber(flagNumber3, true)) {
                        dataHTML.append("<td width=\"" + percent + "%\" align=\"center\" bgcolor=\"#FFFFFF\" style=\"BORDER-RIGHT: black 1px solid;\"></td>\n");
                    } else {
                        dataHTML.append("<td width=\"" + percent + "%\" align=\"center\" bgcolor=\"#FFFFFF\"></td>\n");
                    }
                    flagNumber3--;
                }
                if (isFlagNumber(flagNumber3, true)) {
                    dataHTML.append("<td width=\"" + percent + "%\" align=\"center\" bgcolor=\"#FFFFFF\" style=\"BORDER-RIGHT: black 1px solid;\">" + mSigh + "</td>\n");
                } else {
                    dataHTML.append("<td width=\"" + percent + "%\" align=\"center\" bgcolor=\"#FFFFFF\">" + mSigh + "</td>\n");
                }
                int flagNumber4 = flagNumber3 - 1;
                for (int i5 = 0; i5 < length - 3; i5++) {
                    if (isFlagNumber(flagNumber4, true)) {
                        dataHTML.append("<td width=\"" + percent + "%\" align=\"center\" bgcolor=\"#FFFFFF\" style=\"BORDER-RIGHT: black 1px solid;\">" + formatNumber(value.charAt(i5), ty) + "</td>\n");
                    } else {
                        dataHTML.append("<td width=\"" + percent + "%\" align=\"center\" bgcolor=\"#FFFFFF\" >" + formatNumber(value.charAt(i5), ty) + "</td>\n");
                    }
                    flagNumber4--;
                }
            } else {
                for (int i6 = 0; i6 < pre - 2; i6++) {
                    if (isFlagNumber(flagNumber3, true)) {
                        dataHTML.append("<td width=\"" + percent + "%\" align=\"center\" bgcolor=\"#FFFFFF\" style=\"BORDER-RIGHT: black 1px solid;\">" + formatNumber(value.charAt(((length - 1) - pre) + i6), ty) + "</td>\n");
                    } else {
                        dataHTML.append("<td width=\"" + percent + "%\" align=\"center\" bgcolor=\"#FFFFFF\" >" + formatNumber(value.charAt(((length - 1) - pre) + i6), ty) + "</td>\n");
                    }
                    flagNumber3--;
                }
            }
            dataHTML.append("<td width=\"" + percent + "%\" align=\"center\" bgcolor=\"#FFFFFF\" style=\"BORDER-LEFT: black 1px solid;\">" + formatNumber(value.charAt(length - 2), ty) + "</td>\n");
            dataHTML.append("<td width=\"" + percent + "%\" align=\"center\" bgcolor=\"#FFFFFF\" >" + formatNumber(value.charAt(length - 1), ty) + "</td>\n");
        }
        dataHTML.append("</tr>\n");
        dataHTML.append("</table>\n");
        return dataHTML.toString();
    }

    private String getTitleHTML(int dec, int pre) {
        StringBuffer titleHTML = new StringBuffer();
        int b = (int) Math.round((100.0d / pre) * 100.0d);
        double percent = b / 100.0d;
        titleHTML.append("<table width=\"100%\" border=\"0\" align=\"center\" cellspacing=\"1\" bgcolor=\"#E0E0E0\">\n");
        titleHTML.append("<tr>\n");
        for (int i = pre - dec; i >= 1; i--) {
            switch (i) {
                case HTMLGridGenerator.BROWSER_IE /* 1 */:
                    if (dec == 2) {
                        titleHTML.append("<td width=\"" + percent + "%\" align=\"center\" bgcolor=\"#FFFFFF\" style=\"BORDER-RIGHT: black 1px solid;\">元</td>\n");
                        break;
                    } else {
                        titleHTML.append("<td width=\"" + percent + "%\" align=\"center\" bgcolor=\"#FFFFFF\" >元</td>\n");
                        break;
                    }
                case HTMLGridGenerator.BROWSER_FIREFOX /* 2 */:
                case 6:
                case HTMLGridGenerator.BROWSER_OTHER /* 10 */:
                    if (i == 10) {
                        titleHTML.append("<td width=\"" + percent + "%\" align=\"center\" bgcolor=\"#FFFFFF\" style=\"BORDER-RIGHT: black 1px solid;\">十</td>\n");
                        break;
                    } else {
                        titleHTML.append("<td width=\"" + percent + "%\" align=\"center\" bgcolor=\"#FFFFFF\">十</td>\n");
                        break;
                    }
                case 3:
                case 7:
                case 11:
                    if (i == 7) {
                        titleHTML.append("<td width=\"" + percent + "%\" align=\"center\" bgcolor=\"#FFFFFF\" style=\"BORDER-RIGHT: black 1px solid;\">百</td>\n");
                        break;
                    } else {
                        titleHTML.append("<td width=\"" + percent + "%\" align=\"center\" bgcolor=\"#FFFFFF\">百</td>\n");
                        break;
                    }
                case 4:
                case 8:
                case 12:
                    if (i == 4) {
                        titleHTML.append("<td width=\"" + percent + "%\" align=\"center\" bgcolor=\"#FFFFFF\" style=\"BORDER-RIGHT: black 1px solid;\">千</td>\n");
                        break;
                    } else {
                        titleHTML.append("<td width=\"" + percent + "%\" align=\"center\" bgcolor=\"#FFFFFF\">千</td>\n");
                        break;
                    }
                case 5:
                case 13:
                    if (i == 13) {
                        titleHTML.append("<td width=\"" + percent + "%\" align=\"center\" bgcolor=\"#FFFFFF\" style=\"BORDER-RIGHT: black 1px solid;\">万</td>\n");
                        break;
                    } else {
                        titleHTML.append("<td width=\"" + percent + "%\" align=\"center\" bgcolor=\"#FFFFFF\">万</td>\n");
                        break;
                    }
                case 9:
                    titleHTML.append("<td width=\"" + percent + "%\" align=\"center\" bgcolor=\"#FFFFFF\">亿</td>\n");
                    break;
            }
        }
        if (dec == 2) {
            titleHTML.append("<td width=\"" + percent + "%\" align=\"center\" bgcolor=\"#FFFFFF\" style=\"BORDER-LEFT: black 1px solid;\">角</td>\n");
            titleHTML.append("<td width=\"" + percent + "%\" align=\"center\" bgcolor=\"#FFFFFF\">分</td>\n");
        }
        titleHTML.append("</tr>\n");
        titleHTML.append("</table>\n");
        return titleHTML.toString();
    }
}
